varying vec2 		texcoord;
uniform sampler2D 	tex;
uniform float		scale;
uniform float		ofs;
varying vec2		t0,t1,t2,t3,t4,t5;

void main()
{
	gl_FragColor =	(
			texture2D(tex, t0)* 0.15+
			texture2D(tex, t1)* 0.12+
			texture2D(tex, t2)* 0.09+
			texture2D(tex, t2-vec2(ofs,0.0))* 0.06+

			texture2D(tex, t3)* 0.15+
			texture2D(tex, t4)* 0.12+
			texture2D(tex, t5)* 0.09+
			texture2D(tex, t5+vec2(ofs,0.0))* 0.06+
			
			texture2D(tex, texcoord) * 0.16
			)*scale;
}
